Bug 1464224 - [RFE] make the "Type" of a subscription a searchable unit
Summary: [RFE] make the "Type" of a subscription a searchable unit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks: 1353215
TreeView+ depends on / blocked
 
Reported: 2017-06-22 17:10 UTC by Andrea Perotti
Modified: 2019-08-12 16:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Type Scoped search UI (51.36 KB, image/png)
2017-11-29 15:25 UTC, Sanket Jagtap
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20979 0 Normal Closed make the "Type" of a subscription a searchable unit 2020-08-12 19:46:33 UTC
Red Hat Bugzilla 1200311 0 unspecified CLOSED [RFE] Content hosts type not in table 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Internal Links: 1200311

Description Andrea Perotti 2017-06-22 17:10:36 UTC
Description of problem:

In environments with hundred of hypervisors, thousand of VM and vDC subscriptions, for each VM a subscription of type "ENTITLEMENT_DERIVED" is created.

Accessing to https://$sat6/subscriptions in this condition, makes very hard to extract useful data given the "Type" of the subscription is not a unit that can be used to filter or sort.

Comment 2 Tomer Brisker 2017-09-18 11:56:26 UTC
Created redmine issue http://projects.theforeman.org/issues/20979 from this bug

Comment 4 pm-sat@redhat.com 2017-09-18 12:17:03 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 pm-sat@redhat.com 2017-09-18 12:17:06 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 6 pm-sat@redhat.com 2017-09-18 16:17:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20979 has been resolved.

Comment 15 Sanket Jagtap 2017-11-29 15:24:53 UTC
Satellite 6.3.0 snap 26

Exposed through Web UI , PFA

API:
 curl -u admin:changeme -X GET --header "Accept:application/json,version=2"  "https://sat/katello/api/subscriptions?search=type=ENTITLEMENT_DERIVED" --insecure | json_reformat 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  2123    0  2123    0     0    807      0 --:--:--  0:00:02 --:--:--   807
{
    "organization": {

    },
    "total": 17,
    "subtotal": 3,
    "page": 1,
    "per_page": 20,
    "error": null,
    "search": "type=ENTITLEMENT_DERIVED",
    "sort": {
        "by": "cp_id",
        "order": "asc"
    },
    "results": [
        {
            "id": 33,
            "cp_id": 00000000000000,
            "subscription_id": 20,
            "name": "Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests)",
            "start_date": "2016-08-04 04:00:00 UTC",
            "end_date": "2022-01-01 04:59:59 UTC",
            "available": -1,
            "quantity": -1,
            "consumed": 0,
            "account_number": 00000000000000,
            "contract_number": 00000000000000,
            "support_level": "Premium",
            "product_id": "00000",
            "sockets": 8,
            "cores": null,
            "ram": null,
            "instance_multiplier": 1,
            "stacking_id": null,
            "multi_entitlement": null,
            "type": "ENTITLEMENT_DERIVED",
            "product_name": "Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests)",
            "unmapped_guest": false,
            "virt_only": true,
            "virt_who": true
        },
        {
            "id": 36,
            "cp_id": 00000000000000,
            "subscription_id": 20,
            "name": "Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests)",
            "start_date": "2016-08-04 04:00:00 UTC",
            "end_date": "2022-01-01 04:59:59 UTC",
            "available": -1,
            "quantity": -1,
            "consumed": 0,
            "account_number": 00000000000000,
            "contract_number": 00000000000000, 
            "support_level": "Premium",
            "product_id": 
            "sockets": 8,
            "cores": null,
            "ram": null,
            "instance_multiplier": 1,
            "stacking_id": null,
            "multi_entitlement": null,
            "type": "ENTITLEMENT_DERIVED",
            "product_name": "Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests)",
            "unmapped_guest": false,
            "virt_only": true,
            "virt_who": true
        }
    ]
}

Hammer
hammer> subscription list --search type=ENTITLEMENT_DERIVED --organization-id 1
---|----------------------------------|-------------------------------------------------------------------------|---------|----------|---------|---------|---------------------|-----------|---------
ID | UUID                             | NAME                                                                    | TYPE    | CONTRACT | ACCOUNT | SUPPORT | END DATE            | QUANTITY  | CONSUMED
---|----------------------------------|-------------------------------------------------------------------------|---------|----------|---------|---------|---------------------|-----------|---------
33 | 00000000000000000000000000000000 | Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests) | Virtual | 11045754 | 477931  | Premium | 2022/01/01 04:59:59 | Unlimited | 0       
36 | 00000000000000000000000000000000 | Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests) | Virtual | 11045754 | 477931  | Premium | 2022/01/01 04:59:59 | Unlimited | 0       
37 | 00000000000000000000000000000000 | Red Hat Enterprise Linux Server, Premium (8 sockets) (Unlimited guests) | Virtual | 11045754 | 477931  | Premium | 2022/01/01 04:59:59 | Unlimited | 0       
---|----------------------------------|-------------------------------------------------------------------------|---------|----------|---------|---------|---------------------|-----------|---------

Comment 16 Sanket Jagtap 2017-11-29 15:25:46 UTC
Created attachment 1360405 [details]
Type Scoped search UI

Comment 19 errata-xmlrpc 2018-02-21 12:39:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.